import { isTouchDevice } from '../utils.js';

/**
 * Prevent the "Enter" button to send the message
 * on touch devices.
 */
converse.plugins.add('sib-send-button-mobile', {
  overrides: {
    ChatBoxView: {
      /**
       * @param {InputEvent} ev
       */
      onEnterPressed(ev) {
        if (isTouchDevice()) {
          // The line break is automatically inserted
          return;
        }

        return this.__super__.onEnterPressed.apply(this, arguments);
      },
    },
  },
});
